package com.acme.customization;

import com.lbs.controllers.ILbsControllerTask;
import com.lbs.controllers.menu.LbsMenuController;
import com.lbs.remoteclient.IClientContext;
import com.lbs.control.interfaces.ILbsController;
import com.lbs.controllers.gen.mm.MMXFItemBrowserController;
import com.lbs.controllers.gen.mm.MMXFItemController;
import java.math.BigDecimal;

public class ItemController implements ILbsControllerTask
{
	
	public void execute(LbsMenuController menu, IClientContext context)
	{
		try
		{
			ILbsController controller = menu.launchMaterials();
			if (controller instanceof MMXFItemBrowserController)
			{
				MMXFItemBrowserController controller1 = (MMXFItemBrowserController) controller;
				controller = controller1.createNew_CGCommercialGood();
				if (controller instanceof MMXFItemController)
				{
					MMXFItemController controller2 = (MMXFItemController) controller;
					controller2.setDescription("Malzeme aklamas");
					controller2.setSearchText("Arama Metni");
					controller2.setAuxCode("ZEL KOD");
					controller2.setAuthCode("YETK KODU");
					controller2.setShelfLife(new BigDecimal(10.0));
					controller2.selectComboBoxShelfLife_Week();
					controller2.setGuaranteePeriod(new BigDecimal(2.0));
					controller2.selectComboBoxGuaranteePeriod_Year();
					controller2.setAverageIn_StockDuration_day(new BigDecimal(30.0));
					controller2.selectComboBoxCostingMethod1_FIFO();
					controller2.selectComboBoxCostingMethod2_LIFO();
					controller2.setPurchase(new BigDecimal(20.0));
					controller2.setSales(new BigDecimal(20.0));
					controller2.clickSave();
				}
				controller1.clickClose();
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
